package com.bipt.intelligentapplicationorchestrationservice.pojo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
 * 机器信息实体类
 * @author hky
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MachineInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;             // 机器唯一标识
    private String ip;             // IP 地址
    private String hostname;       // 主机名
    private Integer cpuCoreNum;    // CPU 核心数
    private Long memoryTotal;      // 总内存 (MB)
    private Long memoryUsed;       // 已用内存 (MB)
    private String GPUModel;       // GPU 型号
    private Integer GPUMemorySize; // GPU 显存大小 (GB)
    private Integer GPUCount;      // GPU 数量
    private Integer status;        // 机器状态 (0: 离线, 1: 在线, 2: 繁忙)
    private String os;             // 操作系统
    private String region;         // 所属区域
    private String zone;           // 可用区
    private Date createTime;       // 创建时间
    private Date updateTime;       // 更新时间
    private Map<String, String> labels; // 自定义标签
}
